import { IsNotEmpty, IsOptional } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';
import { ConstraintDto } from './constraint.dto';
import { WaypointDto } from '../../generic/dto/waypoint.dto';

export class ActiveRunwaysDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The ICAO code of the airport',
    example: 'EDDB',
  })
  icao: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The arrival mode (possible: STAGGERED, IPA)',
    example: 'IPA',
  })
  mode: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The active runways',
    example: '["25L", "25R"]',
  })
  runways: string[];
}
