import { IsNotEmpty, IsOptional } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';
import { ConstraintTypeDto } from './constrainttype.dto';

export class ConstraintDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The identifier of the waypoint',
    example: 'AKUDI',
  })
  waypoint: string;

  @IsOptional()
  @ApiProperty({
    description: 'The altitude constraint in feet',
    example: '{ constraint: 20000, mode: "BELOW" }',
  })
  altitude: ConstraintTypeDto;

  @IsOptional()
  @ApiProperty({
    description: 'The speed constraint in knots',
    example: '{ constraint: 250, mode: "EXACT" }',
  })
  speed: ConstraintTypeDto;
}
