import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class ConstraintTypeDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The identifier of the waypoint',
    example: 20000,
  })
  constraint: number;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The constraint mode (possible: BELOW, EXACT, ABOVE)',
    example: 'EXACT',
  })
  mode: string;
}
