import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class OptimizationDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The window length in seconds',
    example: 120,
  })
  windowSize: number;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The optimized windows for the sequence',
    example: 3,
  })
  windowOverlap: number;

  @IsNotEmpty()
  @ApiProperty({
    description:
      'The final approach sequence before the IAF is reached in minutes',
    example: 10,
  })
  fixedBeforeInitialApproachFix: number;

  @IsNotEmpty()
  @ApiProperty({
    description:
      'The maximum distance to the airport before the optimization is started',
    example: 300,
  })
  maximumAirportDistance: number;
}
