import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';
import { CoordinateDto } from '../../generic/dto/coordinate.dto';

export class RunwayDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The identifier of the runway',
    example: '25L',
  })
  identifier: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The runway threshold',
  })
  altitude: CoordinateDto;
}
