import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type ConstraintTypeDocument = ConstraintType & Document;

@Schema()
export class ConstraintType {
  @Prop({
    type: Number,
  })
  constraint: number;

  @Prop({
    type: String,
    default: 'EXACT',
    enum: ['BELOW', 'EXACT', 'ABOVE'],
  })
  mode: string;
}

export const ConstraintTypeSchema =
  SchemaFactory.createForClass(ConstraintType);
