import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type OptimizationDocument = Optimization & Document;

@Schema()
export class Optimization {
  @Prop({
    required: true,
    type: Number,
    default: 120,
  })
  windowSize: number;

  @Prop({
    required: true,
    type: Number,
    default: 3,
  })
  windowOverlap: number;

  @Prop({
    required: true,
    type: Number,
    default: 10,
  })
  fixedBeforeInitialApproachFix: number;

  @Prop({
    required: true,
    type: Number,
    default: 300,
  })
  maximumAirportDistance: number;
}

export const OptimizationSchema = SchemaFactory.createForClass(Optimization);
