import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class RadarScopeDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The VATSIM ID of the controller',
    example: '10000001',
  })
  vatsimId: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The unique key to logon the RADAR scope',
    example: 'SECRET',
  })
  key: string;
}
