import { IsNotEmpty, IsLatitude, IsLongitude } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class CoordinateDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The latitudinal component',
    example: 42.8402,
  })
  @IsLatitude()
  latitude: number;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The longitudinal component',
    example: 18.8402,
  })
  @IsLongitude()
  longitude: number;
}
