import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';
import { CoordinateDto } from './coordinate.dto';

export class WaypointDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The unique waypoint code',
    example: 'KETAP',
  })
  identifier: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The latitudinal component',
    example: 42.8402,
  })
  coordinate: CoordinateDto;
}
