import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { Coordinate, CoordinateSchema } from './coordinate.model';

export type WaypointDocument = Waypoint & Document;

@Schema()
export class Waypoint {
  @Prop({
    required: true,
    type: String,
  })
  identifier: string;

  @Prop({
    required: true,
    type: CoordinateSchema,
  })
  coordinate: Coordinate;
}

export const WaypointSchema = SchemaFactory.createForClass(Waypoint);
