import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';
import { PredictedWaypointDto } from './predictedwaypoint.dto';

export class PlanningDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The planned arrival route',
    example: 'KETAP25L',
  })
  arrivalRoute: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The planned arrival runway',
    example: '25L',
  })
  arrivalRunway: string;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The planned route',
  })
  plannedRoute: PredictedWaypointDto[];

  @IsNotEmpty()
  @ApiProperty({
    description: 'Indicates if the plan is fixed',
  })
  fixedPlan: boolean;
}
