import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import {
  Coordinate,
  CoordinateSchema,
} from '../../generic/models/coordinate.model';

export type FlightStateDocument = FlightState & Document;

@Schema()
export class FlightState {
  @Prop({
    required: true,
    type: CoordinateSchema,
  })
  position: Coordinate;

  @Prop({
    required: true,
    type: Number,
  })
  groundSpeed: number;

  @Prop({
    required: true,
    type: Number,
  })
  heading: number;

  @Prop({
    required: true,
    type: Number,
  })
  groundTrack: number;

  @Prop({
    required: true,
    type: Number,
  })
  altitude: number;

  @Prop({
    required: true,
    type: Number,
  })
  verticalSpeed: number;
}

export const FlightStateSchema = SchemaFactory.createForClass(FlightState);
