import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { Waypoint, WaypointSchema } from '../../generic/models/waypoint.model';

export type PredictedWaypointDocument = PredictedWaypoint & Document;

@Schema()
export class PredictedWaypoint {
  @Prop({
    required: true,
    type: WaypointSchema,
  })
  waypoint: Waypoint;

  @Prop({
    type: Number,
  })
  altitude: number;

  @Prop({
    type: Number,
  })
  indicatedAirspeed: number;

  @Prop({
    type: Number,
  })
  groundspeed: number;

  @Prop({
    type: String,
  })
  plannedOverheadTime: string;
}

export const PredictedWaypointSchema =
  SchemaFactory.createForClass(PredictedWaypoint);
