import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type LogEntryDocument = LogEntry & Document;

@Schema()
export class LogEntry {
  @Prop({
    required: true,
    index: true,
    type: String,
  })
  component: string;

  @Prop({
    required: true,
    index: true,
    enum: ['DEBUG', 'INFO', 'WARNING', 'ERROR', 'CRITICAL'],
    type: String,
  })
  level: string;

  @Prop({
    required: true,
    type: String,
  })
  timestamp: string;

  @Prop({
    required: true,
    type: String,
  })
  message: string;
}

export const LogEntrySchema = SchemaFactory.createForClass(LogEntry);
