import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { PerformanceSchema } from './models/performance.model';
import { PerformanceService } from './performance.service';
import { VersioningModule } from '../versioning/versioning.module';
import { LoggingModule } from '../logging/logging.module';

@Module({
  imports: [
    MongooseModule.forFeature([
      { name: 'performance', schema: PerformanceSchema },
    ]),
    VersioningModule,
    LoggingModule,
  ],
  providers: [PerformanceService],
  exports: [MongooseModule, PerformanceService],
})
export class PerformanceModule {}
