import { IsNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class SemanticVersionDto {
  @IsNotEmpty()
  @ApiProperty({
    description: 'The main version to describe downwards compatibility issues',
    example: 1,
  })
  main: number;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The major version to describe upwards compatibility issues',
    example: 1,
  })
  major: number;

  @IsNotEmpty()
  @ApiProperty({
    description: 'The minor version to describe API stable changes',
    example: 1,
  })
  minor: number;
}
