import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type VersioningDocument = Versioning & Document;

@Schema()
export class Versioning {
  @Prop({
    required: true,
    type: String,
  })
  componentName: string;

  @Prop({
    required: true,
    type: String,
  })
  createdAt: string;

  @Prop({
    required: true,
    type: Number,
  })
  versionMain: number;

  @Prop({
    required: true,
    type: Number,
  })
  versionMajor: number;

  @Prop({
    required: true,
    type: Number,
  })
  versionMinor: number;
}

export const VersioningSchema = SchemaFactory.createForClass(Versioning);
