import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { VersioningSchema } from './models/versioning.model';
import { VersioningService } from './versioning.service';

@Module({
  imports: [
    MongooseModule.forFeature([
      { name: 'versioning', schema: VersioningSchema },
    ]),
  ],
  providers: [VersioningService],
  exports: [MongooseModule, VersioningService],
})
export class VersioningModule {}
