import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { WeatherSchema } from './models/weather.model';
import { WeatherService } from './weather.service';

@Module({
  imports: [
    MongooseModule.forFeature([{ name: 'weather', schema: WeatherSchema }]),
  ],
  providers: [WeatherService],
  exports: [MongooseModule, WeatherService],
})
export class WeatherModule {}
